#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0x96,0x22,0x90,0xF4,0x73,0x7D,0x47,0x9D,0xED,0x68,0xFD,0x9F,
		0x2C,0x6F,0xE8,0x27,0xA8,0xF8,0x09,0x7D,0x53,0x85,0x8B,0x1C,
		0xD2,0xF6,0xA0,0x35,0x48,0x5F,0x4A,0x6E,0x99,0x99,0x54,0x75,
		0xC6,0x80,0x54,0xC5,0x15,0xF1,0xB6,0xDB,0x2A,0x97,0x78,0xAF,
		0x71,0xCE,0x6B,0xCE,0xD1,0x17,0x82,0xD9,0xF6,0x88,0xF0,0x73,
		0xDE,0x4F,0x9A,0x1B,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
